=== debian/changelog ===
minetestmapper (20180325-1) unstable; urgency=medium

  * Initial packaging. (Closes: #913492)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Nov 2018 18:29:38 +0100
