=== debian/control ===
Source: minetestmapper
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Standards-Version: 4.2.1
Homepage: https://github.com/minetest/minetestmapper
Build-Depends: debhelper (>= 11), cmake, libgd-dev, libsqlite3-dev
Vcs-Git: https://salsa.debian.org/games-team/minetestmapper.git
Vcs-Browser: https://salsa.debian.org/games-team/minetestmapper

Package: minetestmapper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: map generator from minetest worlds
 This command-line tool will get a minetest world directory
 and generate an image map, to be used either as a better
 guide than the internal minimap, or to advertise a server.
