## minetestmapper 20191011

=== debian/changelog ===
minetestmapper (20191011-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:19:51 +0100

minetestmapper (20191011-1) unstable; urgency=medium

  * New upstream release.
  * Move to dh compat 12 and drop d/compat.
  * Bump std-vers to 4.4.1.
  * Add patch to fix a typo in manpage.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 17 Oct 2019 11:36:28 +0200
