=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/minetest/minetestmapper
-Build-Depends: debhelper (>= 11), cmake, libgd-dev, libsqlite3-dev
+Build-Depends: debhelper-compat (= 12), cmake, libgd-dev, libsqlite3-dev
 Vcs-Git: https://salsa.debian.org/games-team/minetestmapper.git
 Vcs-Browser: https://salsa.debian.org/games-team/minetestmapper
