=== debian/watch ===
version=4
https://github.com/minetest/minetestmapper/releases .*/([\d]+).tar.gz
