=== debian/changelog ===
minetestmapper (20200328-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-vers to 4.5.0.
  * Drop patch (upstreamed).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 01 Apr 2020 08:54:31 +0200
