=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/minetest/minetestmapper
 Build-Depends: debhelper-compat (= 12), cmake, libgd-dev, libsqlite3-dev
 Vcs-Git: https://salsa.debian.org/games-team/minetestmapper.git
