## minetestmapper 20220221

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,9 @@
-project(minetestmapper CXX)
-cmake_minimum_required(VERSION 2.6)
-cmake_policy(SET CMP0003 NEW)
-
-set(VERSION_MAJOR 1)
-set(VERSION_MINOR 0)
-set(VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}")
+cmake_minimum_required(VERSION 3.5)
+
+project(minetestmapper
+	VERSION 1.0
+	LANGUAGES CXX
+)
 
 # Stuff & Paths
 
@@ -13,18 +12,17 @@
 endif()
 
 set(CMAKE_CXX_STANDARD 11)
-set(CMAKE_CXX_FLAGS_RELEASE "-O3 -Wall -DNDEBUG")
-set(CMAKE_CXX_FLAGS_DEBUG "-O0 -g2 -Wall")
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if(WIN32)
 	set(SHAREDIR ".")
 	set(BINDIR ".")
 	set(DOCDIR ".")
 else()
-	set(SHAREDIR "${CMAKE_INSTALL_PREFIX}/share/minetest") # reuse Minetest share dir
-	set(BINDIR "${CMAKE_INSTALL_PREFIX}/bin")
-	set(DOCDIR "${CMAKE_INSTALL_PREFIX}/share/doc/${PROJECT_NAME}")
-	set(MANDIR "${CMAKE_INSTALL_PREFIX}/share/man")
+	set(SHAREDIR "share/minetest") # reuse Minetest share dir
+	set(BINDIR "bin")
+	set(DOCDIR "share/doc/${PROJECT_NAME}")
+	set(MANDIR "share/man")
 endif()
 
 set(CUSTOM_SHAREDIR "" CACHE STRING "Directory to install data files into")
@@ -45,9 +43,7 @@
         message(STATUS "Using DOCDIR=${DOCDIR}")
 endif()
 
-#set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
-find_package(PkgConfig)
-include(FindPackageHandleStandardArgs)
+set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
 
 # Libraries: gd
 
@@ -61,18 +57,16 @@
 
 # Libraries: zlib
 
-find_library(ZLIB_LIBRARY z)
-find_path(ZLIB_INCLUDE_DIR zlib.h)
-message (STATUS "zlib library: ${ZLIB_LIBRARY}")
-message (STATUS "zlib headers: ${ZLIB_INCLUDE_DIR}")
-if(NOT ZLIB_LIBRARY OR NOT ZLIB_INCLUDE_DIR)
-	message(FATAL_ERROR "zlib not found!")
-endif(NOT ZLIB_LIBRARY OR NOT ZLIB_INCLUDE_DIR)
+find_package(ZLIB REQUIRED)
+
+# Libraries: zstd
+
+find_package(Zstd REQUIRED)
 
 # Libraries: sqlite3
 
 find_library(SQLITE3_LIBRARY sqlite3)
-find_path(SQLITE3_INCLUDE_DIR zlib.h)
+find_path(SQLITE3_INCLUDE_DIR sqlite3.h)
 message (STATUS "sqlite3 library: ${SQLITE3_LIBRARY}")
 message (STATUS "sqlite3 headers: ${SQLITE3_INCLUDE_DIR}")
 if(NOT SQLITE3_LIBRARY OR NOT SQLITE3_INCLUDE_DIR)
@@ -85,7 +79,17 @@
 set(USE_POSTGRESQL FALSE)
 
 if(ENABLE_POSTGRESQL)
-	find_package("PostgreSQL")
+	if(CMAKE_VERSION VERSION_LESS "3.20")
+		find_package(PostgreSQL QUIET)
+		# Before CMake 3.20 FindPostgreSQL.cmake always looked for server includes
+		# but we don't need them, so continue anyway if only those are missing.
+		if(PostgreSQL_INCLUDE_DIR AND PostgreSQL_LIBRARY)
+			set(PostgreSQL_FOUND TRUE)
+			set(PostgreSQL_INCLUDE_DIRS ${PostgreSQL_INCLUDE_DIR})
+		endif()
+	else()
+		find_package(PostgreSQL)
+	endif()
 
 	if(PostgreSQL_FOUND)
 		set(USE_POSTGRESQL TRUE)
@@ -148,40 +152,38 @@
 	${SQLITE3_INCLUDE_DIR}
 	${LIBGD_INCLUDE_DIR}
 	${ZLIB_INCLUDE_DIR}
+	${ZSTD_INCLUDE_DIR}
 )
 
 configure_file(
 	"${PROJECT_SOURCE_DIR}/include/cmake_config.h.in"
 	"${PROJECT_BINARY_DIR}/cmake_config.h"
 )
-add_definitions ( -DUSE_CMAKE_CONFIG_H )
-
-set(mapper_SRCS
+add_definitions(-DUSE_CMAKE_CONFIG_H)
+
+if(CMAKE_CXX_COMPILER_ID MATCHES "^(GNU|Clang|AppleClang)$")
+	set(CMAKE_CXX_FLAGS_RELEASE "-O2")
+	set(CMAKE_CXX_FLAGS_DEBUG "-Og -g2")
+	add_compile_options(-Wall -pipe)
+endif()
+if(CMAKE_BUILD_TYPE STREQUAL "Release")
+	add_definitions(-DNDEBUG)
+endif()
+
+add_executable(minetestmapper
 	BlockDecoder.cpp
 	PixelAttributes.cpp
 	PlayerAttributes.cpp
 	TileGenerator.cpp
 	ZlibDecompressor.cpp
+	ZstdDecompressor.cpp
 	Image.cpp
 	mapper.cpp
 	util.cpp
 	db-sqlite3.cpp
-)
-
-if(USE_POSTGRESQL)
-	set(mapper_SRCS ${mapper_SRCS} db-postgresql.cpp)
-endif(USE_POSTGRESQL)
-
-if(USE_LEVELDB)
-	set(mapper_SRCS ${mapper_SRCS} db-leveldb.cpp)
-endif(USE_LEVELDB)
-
-if(USE_REDIS)
-	set(mapper_SRCS ${mapper_SRCS} db-redis.cpp)
-endif(USE_REDIS)
-
-add_executable(minetestmapper
-	${mapper_SRCS}
+	$<$<BOOL:${USE_POSTGRESQL}>:db-postgresql.cpp>
+	$<$<BOOL:${USE_LEVELDB}>:db-leveldb.cpp>
+	$<$<BOOL:${USE_REDIS}>:db-redis.cpp>
 )
 
 target_link_libraries(
@@ -192,6 +194,7 @@
 	${REDIS_LIBRARY}
 	${LIBGD_LIBRARY}
 	${ZLIB_LIBRARY}
+	${ZSTD_LIBRARY}
 )
 
 # Installing & Packaging
@@ -206,16 +209,14 @@
 endif()
 
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Overview mapper for Minetest")
-set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
-set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
 set(CPACK_PACKAGE_VENDOR "celeron55")
 set(CPACK_PACKAGE_CONTACT "Perttu Ahola <celeron55@gmail.com>")
 
 if(WIN32)
-	set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${VERSION_STRING}-win32")
+	set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}-win32")
 	set(CPACK_GENERATOR ZIP)
 else()
-	set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${VERSION_STRING}-linux")
+	set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}-linux")
 	set(CPACK_GENERATOR TGZ)
 	set(CPACK_SOURCE_GENERATOR TGZ)
 endif()
