=== debian/changelog ===
minetestmapper (20220221-1) unstable; urgency=medium

  * New upstream release.
  * Bump dh-compat to version 13.
  * Bump standards-version to 4.6.0.
  * Declare d/rules doesn't require root.
  * Update dates in d/copyright.
  * Update build depends.
  * Add a lintian override for a false positive

 -- Julien Puydt <jpuydt@debian.org>  Thu, 10 Mar 2022 08:15:18 +0100
