=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DH_COMMON_OPTS = --buildsystem=cmake

%:
	dh $@ $(DH_COMMON_OPTS)

override_dh_auto_configure:
	dh_auto_configure $(DH_COMMON_OPTS) -- -DCUSTOM_BINDIR=/usr/games/

override_dh_auto_install:
	dh_auto_install $(DH_COMMON_OPTS)
	find debian/ -name COPYING -delete
