## minetestmapper 20241111

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	set(BINDIR ".")
 	set(DOCDIR ".")
 else()
-	set(SHAREDIR "share/minetest") # reuse Minetest share dir
+	set(SHAREDIR "share/luanti") # reuse engine share dir
 	set(BINDIR "bin")
 	set(DOCDIR "share/doc/${PROJECT_NAME}")
 	set(MANDIR "share/man")
@@ -86,6 +86,7 @@
 		if(PostgreSQL_INCLUDE_DIR AND PostgreSQL_LIBRARY)
 			set(PostgreSQL_FOUND TRUE)
 			set(PostgreSQL_INCLUDE_DIRS ${PostgreSQL_INCLUDE_DIR})
+			set(PostgreSQL_LIBRARIES ${PostgreSQL_LIBRARY})
 		endif()
 	else()
 		find_package(PostgreSQL)
@@ -208,7 +209,7 @@
 	install(FILES "minetestmapper.6" DESTINATION "${MANDIR}/man6")
 endif()
 
-set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Overview mapper for Minetest")
+set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Overview mapper for Luanti")
 set(CPACK_PACKAGE_VENDOR "celeron55")
 set(CPACK_PACKAGE_CONTACT "Perttu Ahola <celeron55@gmail.com>")
