=== debian/changelog ===
minetestmapper (20241111-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 04 Jan 2025 15:07:25 +0100

minetestmapper (20220221-2) unstable; urgency=medium

  * Fix d/watch.
  * Bump Standards-Version to 4.6.1.
  * Update lintian override.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 31 Oct 2022 11:30:14 +0100
