=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/minetest/minetestmapper
 Build-Depends: cmake,
                debhelper-compat (= 13),
