=== debian/watch ===
version=4
https://github.com/minetest/minetestmapper/tags .*/([\d]+).tar.gz
